from .hdtx import *


class HDTX4xx(HDTX):

    """

    Main class of `HDTX4xx` object.
    Inherited from class `HDTX`.
    Class describes capabilities of 400th (4XX) series of HDMI devices in Source (TX - transmitter) role.

    """

    def __init__(self, port_io: PortIO, memory_manager: MemoryManager, capturer: Capturer):
        super().__init__(port_io, memory_manager, capturer)

